com.amazonaws.services.codebuild.model

## Class ListCuratedEnvironmentImagesResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.codebuild.model.ListCuratedEnvironmentImagesResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class ListCuratedEnvironmentImagesResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ListCuratedEnvironmentImagesResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ListCuratedEnvironmentImagesResult` `clone()`
`boolean` `equals(Object obj)`
`List<EnvironmentPlatform>` `getPlatforms()` Information about supported platforms for Docker images that are managed by AWS CodeBuild.
`int` `hashCode()`
`void` `setPlatforms(Collection<EnvironmentPlatform> platforms)` Information about supported platforms for Docker images that are managed by AWS CodeBuild.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`ListCuratedEnvironmentImagesResult` `withPlatforms(Collection<EnvironmentPlatform> platforms)` Information about supported platforms for Docker images that are managed by AWS CodeBuild.
`ListCuratedEnvironmentImagesResult` `withPlatforms(EnvironmentPlatform... platforms)` Information about supported platforms for Docker images that are managed by AWS CodeBuild.

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ListCuratedEnvironmentImagesResult

    public ListCuratedEnvironmentImagesResult()

### Method Detail

#### getPlatforms

    public List<EnvironmentPlatform> getPlatforms()

Information about supported platforms for Docker images that are managed by AWS CodeBuild.

Returns:
  Information about supported platforms for Docker images that are managed by AWS CodeBuild.

#### setPlatforms

    public void setPlatforms(Collection<EnvironmentPlatform> platforms)

Information about supported platforms for Docker images that are managed by AWS CodeBuild.

Parameters:
  `platforms` - Information about supported platforms for Docker images that are managed by AWS CodeBuild.

#### withPlatforms

    public ListCuratedEnvironmentImagesResult withPlatforms(EnvironmentPlatform... platforms)

Information about supported platforms for Docker images that are managed by AWS CodeBuild.

NOTE: This method appends the values to the existing list (if any). Use `setPlatforms(java.util.Collection)` or `withPlatforms(java.util.Collection)` if you want to override the existing values.

Parameters:
  `platforms` - Information about supported platforms for Docker images that are managed by AWS CodeBuild.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withPlatforms

    public ListCuratedEnvironmentImagesResult withPlatforms(Collection<EnvironmentPlatform> platforms)

Information about supported platforms for Docker images that are managed by AWS CodeBuild.

Parameters:
  `platforms` - Information about supported platforms for Docker images that are managed by AWS CodeBuild.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public ListCuratedEnvironmentImagesResult clone()

Overrides:
  `clone` in class `Object`